#include <iostream>
#include <vector>

class adder {  // not the snake
	int val;

public:
	adder(int v) : val(v) {}
	int operator()(int x) const { return x + val; }
};

int main() {
	adder plus1 = { 1 };

	std::cout << plus1(7) << ' ' << plus1(20) << '\n';

	adder plus10 = { 10 };

	std::cout << plus10(7) << ' ' << plus10(20) << '\n';
}
